var serialport = require('serialport');
var nmea = require('./nmea');
var EventEmitter = require('events').EventEmitter;

var port = new serialport.SerialPort('/dev/cu.usbserial', {
                baudrate: 4800,
                parser: serialport.parsers.readline('\r\n')});
    

var gps = new EventEmitter();

port.on('data', function(line) {
    var data = nmea.parse(line);
    if (data) {
        gps.emit(data.type, data);
    }
});


gps.on('fix', function(data) {
    console.log(data);
});